package sudoku;

import java.util.ArrayList;
import java.util.List;

public class Bloc {
    private final List<Case> cases;

    public Bloc() {
        this.cases = new ArrayList<>();
    }

    public void addCase(Case c) {
        cases.add(c);
    }

    public boolean contains(Symbole s) {
        for (Case c : cases) {
            if (c.getSymbole().equals(s)) {
                return true;
            }
        }
        return false;
    }

    // TO MOVE TO FUTUR CONSTRAINTS
    // /**
    //  * Check if the bloc is valid
    //  * A bloc is valid if it contains no duplicate symbols
    //  * 
    //  * @return
    //  */
    // public boolean isValid() {
    //     for (int i = 0; i < cases.size(); i++) {
    //         for (int j = i + 1; j < cases.size(); j++) {
    //             if (cases.get(i).getSymbole().equals(cases.get(j).getSymbole())) {
    //                 return false;
    //             }
    //         }
    //     }
    //     return true;
    // }

    @Override
    public String toString() {
        return "Bloc{" +
                "cases=" + cases +
                '}';
    }
}